summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-analyzer/apinger
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-analyzer/apinger')
-rw-r--r--net-analyzer/apinger/Manifest1
-rw-r--r--net-analyzer/apinger/apinger-0.4.1.ebuild39
-rw-r--r--net-analyzer/apinger/metadata.xml8
3 files changed, 48 insertions, 0 deletions
diff --git a/net-analyzer/apinger/Manifest b/net-analyzer/apinger/Manifest
new file mode 100644
index 00000000000..98899b45568
--- /dev/null
+++ b/net-analyzer/apinger/Manifest
@@ -0,0 +1 @@
+DIST apinger-0.4.1.tar.gz 26328 SHA256 eb63985d231e7af3ad894d4ef6a2f1c413a937598431d386b5f4044680577f93 SHA512 b8a67149f43da5b6e240dee97315c31a3e6257f1de70da81a6aa63d1e1d7d5bff0b54abe5085a57e90eb7789b7fa8b83c09a51411a6247a81b6f99de3d83120f WHIRLPOOL ab4b73dd13d62cc59becf3c18531738700083e110a6e809c853695e18616e4838b0789a7c357f5b5b81a91a37d8a940409a53562ab8a80b3fbece0f840faec7c
diff --git a/net-analyzer/apinger/apinger-0.4.1.ebuild b/net-analyzer/apinger/apinger-0.4.1.ebuild
new file mode 100644
index 00000000000..b52981599b4
--- /dev/null
+++ b/net-analyzer/apinger/apinger-0.4.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools
+
+DESCRIPTION="Alarm Pinger"
+HOMEPAGE="https://github.com/Jajcus/apinger/"
+SRC_URI="${HOMEPAGE}archive/${PN^^}_${PV//./_}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ sys-devel/flex
+ virtual/yacc
+"
+
+S=${WORKDIR}/${PN}-${PN^^}_${PV//./_}
+
+DOCS=( AUTHORS ChangeLog NEWS README TODO )
+
+src_prepare() {
+ sed -i -e 's|\\$||g' acinclude.m4 || die
+ eautoreconf
+}
+
+src_compile() {
+ emake -C src/ cfgparser1.h
+ default
+}
+
+src_install() {
+ default
+ insinto /etc
+ doins src/${PN}.conf
+}
diff --git a/net-analyzer/apinger/metadata.xml b/net-analyzer/apinger/metadata.xml
new file mode 100644
index 00000000000..37a3ce04f3b
--- /dev/null
+++ b/net-analyzer/apinger/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>netmon</herd>
+ <upstream>
+ <remote-id type="github">Jajcus/apinger</remote-id>
+ </upstream>
+</pkgmetadata>